import { ColumnDef } from "@tanstack/react-table";
import {AdUnits} from "@/types";
import { Button } from "@/Components/ui/button"
import {router} from "@inertiajs/react";

export const columns: ColumnDef<AdUnits>[] = [
  {
    accessorKey: "ad_unit_id",
    header: "Ad Unit",
  },
  {
    accessorKey: "site_name",
    header: "Site Name",
  },
//   {
//     accessorKey: "ad_exchange_line_item_level_average_ecpm",
//     header: "ECPM",
//     cell: ({ row }) => {
//         const adunit = row.original;
//         const impressions = Number(adunit.ad_exchange_line_item_level_impressions);
//         const revenue = Number(adunit.ad_exchange_line_item_level_revenue);

//         return (
//             <div>
//                 {impressions > 0 ? `$ ${((revenue / impressions) * 100).toFixed(2)}` : "0"}
//             </div>
//         );
//     }

//   },
  {
    accessorKey:"ad_exchange_line_item_level_impressions",
    header: "Impressions",
    cell: ({ row }) => {
        const adunit = row.original;
        return (
            <div>
                {Number(adunit.ad_exchange_line_item_level_impressions).toLocaleString()}
            </div>
        );
    },
  },
  {
    accessorKey:"ad_exchange_line_item_level_revenue",
    header: "Revenue",
    cell: ({ row }) => {
        const adunit = row.original;
        const revenue = Number(adunit.ad_exchange_line_item_level_revenue);

        return (
            <div>
                {/* {revenue > 0 ? `$ ${revenue}` : "0"} */}
                $ {revenue.toLocaleString()}
            </div>
        );
    }
  },
  {
    accessorKey:"ad_exchanage_line_item_level_clicks",
    header: "Clicks",
    cell: ({ row }) => {
        const adunit = row.original;
        return (
            <div>
                {Number(adunit.ad_exchanage_line_item_level_clicks).toLocaleString()}
            </div>
        );
    },
  },
  {
    accessorKey:"ad_exchange_total_requests",
    header: "Requests",
    cell: ({ row }) => {
        const adunit = row.original;
        return (
            <div>
                {Number(adunit.ad_exchange_total_requests).toLocaleString()}
            </div>
        );
    },
  },
]
